package com.build;

import static org.hamcrest.CoreMatchers.equalTo;
import net.sf.ehcache.Cache;
import net.sf.ehcache.CacheManager;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

import com.build.caching.CacheFacade;

public class BigMemInitTest {
	
	private static CacheManager cacheManager;

	@BeforeClass
	public static void doSetup() {
		cacheManager = CacheManager.getInstance();
	}
	
	@Test
	public void testInitialization() throws Exception {
		
		Cache testCache = cacheManager.getCache("testCache");
		
		CacheFacade testCacheFacade = new CacheFacade("testCache", 1, 1);
		testCacheFacade.put();
		testCacheFacade.get(0);
		
		Assert.assertThat("testCache should contain 1 element", 1l, equalTo(testCache.getStatistics().getLocalHeapSize()));
		
	}

}
